# How to contribute

I appreciate any kind of contributions. Please feel free to submit issue reports, feature suggestions and especially pull requests. But please take a moment to review following guidelines.

## Got a Question?

Please don't use Github Issues for asking questions. This project uses Github Issues for bug tracking and feature management only, not as some kind of support forum.
If you have personal support request or any questions about how to use this project, please feel free to send an email to project maintainer. You may find the email address in maintainer's Github profile.

## Reporting bugs

Please make sure that issue is reproducible on the latest code in `develop` branch in the repository.

Be sure to include enough of information so that your issue can be recreated.

Make sure that no other similar issues already exist.

## Submitting pull requests

### Branches

This repository is using [git flow](http://nvie.com/posts/a-successful-git-branching-model/) branching model. If you're not familiar with it, please take a moment to read the text by the link.

Generally it means that all new branches should be forked from `develop` branch, not from `master`.

### Pull request workflow

1. Fork the repo.
2. Checkout your new branch from `develop` branch.
3. Push your changes to your branch in your fork of repository.
4. Submit a pull request to the upstream repository.
